linamh/www-servers/apache/files/apache-2.2.6-r102.patch
2007-11-11 15:38:27 +00:00

59 lines
2.5 KiB
Diff

--- apache-2.2.6-r1.ebuild 2007-09-21 22:08:27.000000000 +0200
+++ apache-2.2.6-r103.ebuild 2007-10-07 17:02:05.000000000 +0200
@@ -13,13 +13,14 @@
DESCRIPTION="The Apache Web Server."
HOMEPAGE="http://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2
- http://dev.gentoo.org/~${GENTOO_DEVSPACE}/dist/apache/${GENTOO_PATCHNAME}-${GENTOO_PATCHSTAMP}.tar.bz2"
+ http://dev.gentoo.org/~${GENTOO_DEVSPACE}/dist/apache/${GENTOO_PATCHNAME}-${GENTOO_PATCHSTAMP}.tar.bz2
+ http://ftp.mars.arge.at/pub/${GENTOO_PATCHNAME}-${GENTOO_PATCHSTAMP}.tar.bz2"
# some helper scripts are apache-1.1, thus both are here
LICENSE="Apache-2.0 Apache-1.1"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
-IUSE="debug doc ldap mpm-event mpm-itk mpm-peruser mpm-prefork mpm-worker no-suexec selinux ssl static-modules threads"
+IUSE="debug doc ldap mozldap mpm-event mpm-itk mpm-peruser mpm-prefork mpm-worker no-suexec selinux ssl static-modules threads"
DEPEND="dev-lang/perl
=dev-libs/apr-1*
@@ -28,6 +29,7 @@
dev-libs/libpcre
sys-libs/zlib
ldap? ( =net-nds/openldap-2* )
+ mozldap? ( =dev-libs/mozldap-6* )
selinux? ( sec-policy/selinux-apache )
ssl? ( dev-libs/openssl )
!=www-servers/apache-1*
@@ -41,11 +43,18 @@
S="${WORKDIR}/httpd-${PV}"
pkg_setup() {
- if use ldap && ! built_with_use 'dev-libs/apr-util' ldap ; then
+ if use ldap && use mozldap ; then
+ eerror "you cant activate ldap & mozldap at the same time "
+ eerror "plz deactivate \"www-servers/apache -ldap mozldap\" one in"
+ eerror "\"etc/portage/package.use\" ;p"
+ die "ldap and mozldap USE conflict"
+ fi
+
+ if ( use ldap && ! built_with_use 'dev-libs/apr-util' ldap ) || ( use mozldap && ! built_with_use 'dev-libs/apr-util' mozldap ) ; then
eerror "dev-libs/apr-util is missing LDAP support. For apache to have"
- eerror "ldap support, apr-util must be built with the ldap USE-flag"
+ eerror "ldap support, apr-util must be built with the ldap or mozldap USE-flag"
eerror "enabled."
- die "ldap USE-flag enabled while not supported in apr-util"
+ die "ldap or mozldap USE-flag enabled while not supported in apr-util"
fi
# Select the default MPM module
@@ -142,7 +151,7 @@
use static-modules && modtype="static"
select_modules_config || die "determining modules failed"
- if use ldap ; then
+ if use ldap || use mozldap ; then
mods="${mods} ldap authnz_ldap"
myconf="${myconf} --enable-authnz-ldap=${modtype} --enable-ldap=${modtype}"
fi